package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum StateEnum implements IIntegerEnum {
    OK(0, "成功"),
    FAIL(1, "失败");

    private Integer value;
    private String display;

    StateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
